Description

Reporting against Redmine 1.3.0.

I am always very confused by "duplicates" and "duplicated by" in the Redmine related issues. Even after doing it wrong and

correcting it many times, I still cannot always remember which is which.

To some people, "duplicates" sounds like the plural of "duplicate" or "it performs duplication", and "duplicated by" sounds like "who

does the duplication"

Could we please rename them in the English translation to (for example):

"duplicates" to "has duplicate"

"duplicated by" to "is duplicate of"

Related issues:

Has duplicate Redmine - Feature #1868: Improve closing as duplicate Closed 2008-09-08

Associated revisions

Revision 16452 - 2017-04-03 12:36 - Jean-Philippe Lang

Renaming "duplicates" and "duplicated by" to something less confusing (#10250).

History

#1 - 2012-02-16 09:29 - Etienne Massip

Fares Abdullah wrote:

Could we please rename them in the English translation to (for example):

"duplicates" to "has duplicate"

"duplicated by" to "is duplicate of"

 Actually, it is exactly the opposite.

#2 - 2012-02-16 10:00 - Fares Abdullah

Ok, it looks like I've made my own point...

#3 - 2012-02-28 11:24 - Fares Abdullah

Then could we please rename them in the English translation to (for example):

"duplicates" to "is duplicate of"

"duplicated by" to "has duplicate"

#4 - 2012-03-19 18:28 - Dieter Egert

1+

#5 - 2012-04-26 18:35 - Josef Grahn

I, as well, have found this to be a general source of confusion. I think the main problem is that the "duplicate" as a concept implies some sort of

symmetry -- both copies are identical -- while the relation we are trying to describe in Redmine has directional semantics.

Why not make it something completely different, that cannot be misinterpreted? Say for example "already reported in" for the copy that is redundant,

clearly suggesting a precedence for the other issue. Maybe not as concise, but aesthetics is subordinate to comprehension, IMHO.
#6 - 2013-07-05 01:29 - Francewhoa (Francois Carpentier)

+1 for clarifying the wording

#7 - 2013-07-05 01:43 - Francewhoa (Francois Carpentier)

Documentation about that

duplicates - Links issues so that closing one, will close the other (e.g. closing A will close B)

    For example, if issue B duplicates A:

    - closing B will leave A open

    - closing A will automatically close B

 
duplicated by - Reciprocal of duplicates

    For example, if issue A is duplicated by issue B:

    - closing B will leave A open

    - closing A will automatically close B

 Source: http://www.redmine.org/projects/redmine/wiki/RedmineIssues

#8 - 2013-07-14 09:07 - Kenichi Maehashi

+1

#9 - 2014-02-25 14:16 - Gregor K

+1

Please clarify the wording. I have to look it up in the documentation every single time.

#10 - 2015-04-04 23:08 - Alfred Perlstein

+1

I have to look this up each time as well, very frustrating for our team.

#11 - 2016-01-11 11:30 - Bahri Yardim

"duplicates" to "is duplicate of"

"duplicated by" to "has duplicate"

 +1

#12 - 2016-01-11 13:14 - budo kaiman

+1

#13 - 2016-03-16 14:05 - Ieuan Jenkins

Josef Grahn wrote:

I, as well, have found this to be a general source of confusion. I think the main problem is that the "duplicate" as a concept implies some sort of

symmetry -- both copies are identical -- while the relation we are trying to describe in Redmine has directional semantics.

Why not make it something completely different, that cannot be misinterpreted? Say for example "already reported in" for the copy that is

redundant, clearly suggesting a precedence for the other issue. Maybe not as concise, but aesthetics is subordinate to comprehension, IMHO.

 Agree with Josef, I have to google and find this same issue nearly every time to check the definition I come to use this relation because the phrasing

doesn't make it clear which way around the relationship is.

#14 - 2016-10-30 18:31 - Marius BĂLTEANU

- File change_relations_locales.patch added

The same confusion exists in our company too. I applied the changes from the attached patch and the feedback received from our users was positive.

"Duplicated by" -> "Is duplicated by"

"Blocked by" -> "Is blocked by"

#15 - 2016-10-31 03:38 - Go MAEDA

- Target version set to Candidate for next major release
Marius BALTEANU wrote:

The same confusions exists in our company too. I applied the changes from the attached patch and the feedback received from our users was

positive.

"Duplicated by" -> "Is duplicated by"

"Blocked by" -> "Is blocked by"

 I think it is a smart solution. Since the solution only adds "Is " to the current string, there is no adverse effects on the compatibility.

#16 - 2017-02-24 09:34 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Setting target version to 3.4.0 in support of #10250#note-14.

#17 - 2017-02-27 13:26 - budo kaiman

I don't think adding "Is" to the beginning really solves the problem. The biggest cause of confusion (for me at least) is "Duplicates" which is very

vague. I think the best solution was suggested further up as it clears up both ends of the relation:

"duplicates" to "is duplicate of"

"duplicated by" to "has duplicate"

 To me, I can look at these and clearly understand the relation between tickets, which I would not be able to do with the change suggested by note 14.

#18 - 2017-02-27 14:04 - Greg T

budo kaiman wrote:

I don't think adding "Is" to the beginning really solves the problem.

 Me neither.

In our translation, I used wording that translates about

  label_duplicates: "Primary issue is" 

  label_duplicated_by: "A secondary issue is" 

as anything with the root word duplicate was awkward and ambiguous in Hungarian.

#19 - 2017-04-03 12:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Strings are changed as follow:

"duplicates" to "is duplicate of"

"duplicated by" to "has duplicate"

#20 - 2018-09-08 09:08 - Marius BĂLTEANU

- Has duplicate Feature #1868: Improve closing as duplicate added

Files

change_relations_locales.patch 554 Bytes 2016-10-30 Marius BĂLTEANU
